Class SAML2PostAuthenticationPlugin

    • Constructor Detail

      • SAML2PostAuthenticationPlugin

        public SAML2PostAuthenticationPlugin()
        Default Constructor.
    • Method Detail

      • onLoginSuccess

        public void onLoginSuccess​(Map requestParamsMap,
                                   jakarta.servlet.http.HttpServletRequest request,
                                   jakarta.servlet.http.HttpServletResponse response,
                                   SSOToken ssoToken)
        If enabled, performs the first-stage of SLO - by recording the currently logged in user. The information relating to a remote user is stored alongside their local information, and upon active-logout is used to trigger a call to the IdP requesting their logout.
        Specified by:
        onLoginSuccess in interface AMPostAuthProcessInterface
        Parameters:
        requestParamsMap - map containing HttpServletRequest parameters
        request - HttpServletRequest object.
        response - HttpServletResponse object.
        ssoToken - authenticated user's single sign token.
      • onLoginFailure

        public void onLoginFailure​(Map requestParamsMap,
                                   jakarta.servlet.http.HttpServletRequest request,
                                   jakarta.servlet.http.HttpServletResponse response)
                            throws AuthenticationException
        Description copied from interface: AMPostAuthProcessInterface
        Post processing on failed authentication.
        Specified by:
        onLoginFailure in interface AMPostAuthProcessInterface
        Parameters:
        requestParamsMap - map containing HttpServletRequest parameters.
        request - HttpServletRequest object.
        response - HttpServletResponse object.
        Throws:
        AuthenticationException - when there is an error.